export const columns = [
  {
    title: window.$t("flowPool.poolNumber"),
    dataIndex: "id",
    align: "center",
    ellipsis: true,
    width: 50,
  },
  {
    title: '客户名称',
    dataIndex: "userName",
    align: "center",
    width: 200,
    tooltip: true,
    ellipsis: true,
  },
  {
    title: window.$t("flowPool.label"),
    dataIndex: "label",
    align: "center",
    width: 200,
    tooltip: true,
    ellipsis: true,
  },
  {
    title: window.$t("flowPool.trafficPoolStatus"),
    slotName: "status",
    align: "center",
    width: 200,
    tooltip: true,
    ellipsis: true,
  },
  {
    title: window.$t("flowPool.source"),
    dataIndex: "sourceName",
    align: "center",
    width: 200,
    tooltip: true,
    ellipsis: true,
  },
  {
    title: window.$t("flowPool.tariffName"),
    dataIndex: "simTariffName",
    align: "center",
    width: 200,
    tooltip: true,
    ellipsis: true,
  },
  {
    title: window.$t("flowPool.ActivatedName"),
    dataIndex: "Activated",
    align: "center",
    width: 200,
    tooltip: true,
    ellipsis: true,
  },
  {
    title: window.$t("flowPool.HaveBeenUsedName")+`(${'GB'})`,
    dataIndex: "dataUsage",
    align: "center",
    width: 200,
    tooltip: true,
    ellipsis: true,
  },
  {
    title: window.$t("flowPool.updated_at"),
    dataIndex: "updatedAt",
    align: "center",
    width: 200,
    tooltip: true,
    ellipsis: true,
  },
  {
    title: window.$t("global.common.operations"),
    slotName: "id",
    align: "center",
    width: 250,
    fixed: "right",
  },
];

export const columnsAfter = [
  {
    title: window.$t("flowPool.poolNumber"),
    dataIndex: "id",
    align: "center",
    ellipsis: true,
    width: 50,
  },
  {
    title: '客户名称',
    dataIndex: "userName",
    align: "center",
    width: 200,
    tooltip: true,
    ellipsis: true,
  },
  {
    title: window.$t("flowPool.label"),
    dataIndex: "label",
    align: "center",
    width: 200,
    tooltip: true,
    ellipsis: true,
  },
  {
    title: window.$t("flowPool.trafficPoolStatus"),
    slotName: "status",
    align: "center",
    width: 200,
    tooltip: true,
    ellipsis: true,
  },
  {
    title: window.$t("flowPool.source"),
    dataIndex: "sourceName",
    align: "center",
    width: 200,
    tooltip: true,
    ellipsis: true,
  },
  {
    title: window.$t("flowPool.tariffName"),
    dataIndex: "simTariffName",
    align: "center",
    width: 200,
    tooltip: true,
    ellipsis: true,
  },
  {
    title: "池大小",
    dataIndex: "size",
    align: "center",
    width: 200,
    tooltip: true,
    ellipsis: true,
  },
  {
    title: window.$t("flowPool.ActivatedName"),
    dataIndex: "Activated",
    align: "center",
    width: 200,
    tooltip: true,
    ellipsis: true,
  },
  {
    title: window.$t("flowPool.HaveBeenUsedName")+`(${'GB'})`,
    dataIndex: "dataUsage",
    align: "center",
    width: 200,
    tooltip: true,
    ellipsis: true,
  },
  {
    title: window.$t("flowPool.updated_at"),
    dataIndex: "updatedAt",
    align: "center",
    width: 200,
    tooltip: true,
    ellipsis: true,
  },
  {
    title: window.$t("global.common.operations"),
    slotName: "id",
    align: "center",
    width: 250,
    fixed: "right",
  },
];

export const SearchFormList = [
  {
    type: "input",
    label: "流量池名称",
    field: "label",
    value: "", // 双向绑定的值
  },
  {
    type: "select",
    label: "流量池状态",
    field: "status",
    options: [], // 默认空，后面会通过字典加载
    dict: "trafficPacketStatus",
    value: "", // 双向绑定的值
    width: "200",
  },
  {
    type: "select",
    label: "运营商名称",
    field: "source",
    options: [], // 默认空，后面会通过字典加载
    dict: "source",
    value: "", // 双向绑定的值
    width: "200",
  },
  {
    type: "input",
    label: "资费名称",
    field: "tariffName",
    value: "", // 双向绑定的值
  },
  {
    type: "range-picker",
    label: "更新日期",
    field: "updatedAt",
    value: [], // 双向绑定的值
    width: "240",
  },
];
